// Copyright (c) 2015, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

library omnibuild.test.e2e_test;

import 'dart:io';

import 'package:test/test.dart';
import 'package:omnibuild/omnibuild.dart';

void main() {
  test('Test example from README.md', () {
    final yamlData = new File('test/data/readme.yaml').readAsStringSync();
    final expected = new File('test/data/readme.dart').readAsStringSync();
    var spec = new OmnibuildSpecFile.fromYaml(yamlData, 1, 'package_name');
    expect(spec.generateCode(), equals(expected));
  });

  test('Test various Map and List types', () {
    final yamlData = new File('test/data/pure_types.yaml').readAsStringSync();
    final expected = new File('test/data/pure_types.dart').readAsStringSync();
    var spec = new OmnibuildSpecFile.fromYaml(yamlData, 1, 'package_name');
    expect(spec.generateCode(), equals(expected));
  });

  test('Test default value types', () {
    final yamlData = new File('test/data/dflt_values.yaml').readAsStringSync();
    final expected = new File('test/data/dflt_values.dart').readAsStringSync();
    var spec = new OmnibuildSpecFile.fromYaml(yamlData, 1, 'package_name');
    expect(spec.generateCode(), equals(expected));
  });
}
